@import url("../css2-1");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Raleway", sans-serif;
}

:root {
  --primary-theme: #001d3d;
  --primary-clr: #3d52a0;
  --secondary-clr: #7091e6;
  --white-clr: #fff;
  --gray-clr: #8697c4;
  --light-gray-clr: #adbbda;
  --light-white-clr: #ede8f5;
  --dark-clr: #00173c;
  --black-clr: #000000;
  --yellow-clr: #f8a501;
  --orange-clr: #ff7c69;
}
@media (max-width: 430px) {
  .business_page {
    padding-top: 100px;
  }
}

.hospital_card_wrapper {
  display: flex;
  gap: 16px;
}

.hospital_card {
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
  border-radius: 10px;
  padding: 30px;
  width: fit-content;
  /* height: 240px; */
  /* height: auto; */
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.hospital_card p:first-child {
  font-weight: 600;
  color: var(--black-clr);
  font-size: 18px;
}
.hospital_card p:last-child {
  font-weight: normal;
  color: var(--black-clr);
  font-size: 14px;
}

.business_btn a {
  border: 2px solid var(--dark-clr);
  color: var(--dark-clr);
  transition: all 0.5s;
  text-decoration: none;
  border-radius: 30px;
  padding: 12px 36px;
  font-weight: 400;
  z-index: 999;
}
.business_btn a:hover {
  box-shadow: inset 10em 0 0 0 var(--primary-theme),
    inset -10em 0 0 0 var(--primary-theme);
  border-color: var(--primary-theme);
  color: #fff;
}

.business_btn_read_more a {
  border: 2px solid var(--dark-clr);
  color: var(--dark-clr);
  transition: all 0.5s;
  text-decoration: none;
  border-radius: 30px;
  padding: 8px 24px;
  font-weight: 400;
  z-index: 999;
}
.business_btn_read_more a:hover {
  box-shadow: inset 10em 0 0 0 var(--primary-theme),
    inset -10em 0 0 0 var(--primary-theme);
  border-color: var(--primary-theme);
  color: #fff;
}

.hospital_card_services_wrapper {
  display: flex;
  /* justify-content: center;
  align-items: center;
  text-align: center; */
  gap: 16px;
}

.hospital_card_services {
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
  border-radius: 10px;
  padding: 30px;
  width: fit-content;
  /* height: 240px; */
  /* height: auto; */
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}
.hospital_card_services h4 {
  font-weight: 700;
  text-align: center;
}
.hospital_card_services p {
  font-size: 14px;
  margin-top: 10px;
  text-align: center;

  display: -webkit-box;
  -webkit-line-clamp: 5;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.demo_wrapper {
  /* border: 1px solid red; */
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
}
.demo_container {
  /* border: 1px solid #000; */
  border-radius: 10px;
  width: 350px;
  flex-direction: column;
  height: 450px;

  overflow: hidden;
  box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
}

.demo {
  transition: transform 2s ease; /* Adjust animation speed */
}
.demo img {
  width: 100%;
  /* border: 1px solid red; */
}

/* Hover effect: Slide images up */
.demo:hover {
  transform: translateY(-800px); /* Adjust based on the height of the images */
}

@media (max-width: 768px) {
  .hospital_card_wrapper {
    flex-direction: column;
  }

  .business_btn a {
    border: 2px solid var(--dark-clr);
    color: var(--dark-clr);
    transition: all 0.5s;
    text-decoration: none;
    border-radius: 30px;
    padding: 12px 36px;
    font-weight: 400;
    z-index: 999;
  }
  .business_btn a:hover {
    box-shadow: inset 10em 0 0 0 var(--primary-theme),
      inset -10em 0 0 0 var(--primary-theme);
    border-color: var(--primary-theme);
    color: #fff;
  }

  .business_btn_read_more a {
    border: 2px solid var(--dark-clr);
    color: var(--dark-clr);
    transition: all 0.5s;
    text-decoration: none;
    border-radius: 30px;
    padding: 8px 24px;
    font-weight: 400;
    z-index: 999;
  }
  .business_btn_read_more a:hover {
    box-shadow: inset 10em 0 0 0 var(--primary-theme),
      inset -10em 0 0 0 var(--primary-theme);
    border-color: var(--primary-theme);
    color: #fff;
  }

  .hospital_card_services_wrapper {
    display: flex;
    flex-direction: column;
    /* justify-content: center;
    align-items: center;
    text-align: center; */
    gap: 16px;
  }

  .hospital_card_services {
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    border-radius: 10px;
    padding: 30px;
    width: fit-content;
    /* height: 240px; */
    /* height: auto; */
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
  }
  .hospital_card_services h4 {
    font-weight: 700;
    text-align: center;
  }
  .hospital_card_services p {
    font-size: 14px;
    margin-top: 10px;
    text-align: center;

    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}

@media (max-width: 430px) {
  .demo_wrapper {
    /* border: 1px solid red; */
    flex-direction: column;
    align-items: center;
    gap: 20px;
  }
}
@media (min-width: 430px) and (max-width: 768px) {
  .demo_wrapper {
    /* border: 1px solid red; */
    flex-wrap: wrap;
  }
  .demo_container {
    /* border: 1px solid #000; */
    width: 200px;
    flex-direction: column;
    height: 300px;

    overflow: hidden;
    box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;
  }
  /* Hover effect: Slide images up */
  .demo:hover {
    transform: translateY(
      -860px
    ); /* Adjust based on the height of the images */
  }
}

@media (min-width: 768px) and (max-width: 1024px) {
  .hospital_card_wrapper {
    flex-wrap: wrap;
    /* flex-direction: column; */
  }

  .hospital_card_services_wrapper {
    display: flex;
    /* flex-direction: column; */
    /* justify-content: center;
    align-items: center;
    text-align: center; */
    gap: 16px;
  }

  .hospital_card_services {
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    border-radius: 10px;
    padding: 30px;
    width: fit-content;
    /* height: 240px; */
    /* height: auto; */
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
  }

  /* Hover effect: Slide images up */
  .demo:hover {
    transform: translateY(
      -450px
    ); /* Adjust based on the height of the images */
  }
}
